- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_GIOP_Message_Version Class Reference

Major and Minor version number of the Inter-ORB Protocol. More...

`#include <GIOP_Message_Version.h>`

List of all members.

## Public Member Functions
| TAO_GIOP_Message_Version (const TAO_GIOP_Message_Version &src)
| Copy constructor.
| TAO_GIOP_Message_Version (CORBA::Octet maj=TAO_DEF_GIOP_MAJOR, CORBA::Octet min=TAO_DEF_GIOP_MINOR)
| Default constructor.
void | set_version (CORBA::Octet maj, CORBA::Octet min)
| Explicitly set the major and minor version.
TAO_GIOP_Message_Version & | operator= (const TAO_GIOP_Message_Version &src)
| Copy operator.
bool | operator== (const TAO_GIOP_Message_Version &src)
| Equality operator.
bool | operator!= (const TAO_GIOP_Message_Version &src)
## Public Attributes
CORBA::Octet | major
| Major version number.
CORBA::Octet | minor
| Minor version number.

## Detailed Description

Major and Minor version number of the Inter-ORB Protocol.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO_GIOP_Message_Version::TAO_GIOP_Message_Version | ( | const TAO_GIOP_Message_Version & | src | ) |

Copy constructor.

ACE_INLINE TAO_GIOP_Message_Version::TAO_GIOP_Message_Version | ( | CORBA::Octet | maj = `TAO_DEF_GIOP_MAJOR`,
|  | CORBA::Octet | min = `TAO_DEF_GIOP_MINOR` |
| ) |  |  |

Default constructor.

## Member Function Documentation

ACE_INLINE bool TAO_GIOP_Message_Version::operator!= | ( | const TAO_GIOP_Message_Version & | src | ) |

ACE_INLINE TAO_GIOP_Message_Version & TAO_GIOP_Message_Version::operator= | ( | const TAO_GIOP_Message_Version & | src | ) |

Copy operator.

ACE_INLINE bool TAO_GIOP_Message_Version::operator== | ( | const TAO_GIOP_Message_Version & | src | ) |

Equality operator.

ACE_INLINE void TAO_GIOP_Message_Version::set_version | ( | CORBA::Octet | maj,
|  | CORBA::Octet | min |
| ) |  |  |

Explicitly set the major and minor version.

## Member Data Documentation

CORBA::Octet TAO_GIOP_Message_Version::major

Major version number.

CORBA::Octet TAO_GIOP_Message_Version::minor

Minor version number.

The documentation for this class was generated from the following files:

- GIOP_Message_Version.h
- GIOP_Message_Version.inl